NETDATA(1)

NAME
netdata - real-time performance monitoring

SYNOPSIS
netdata [-c OPTIONS] [-D|-d] [-P FILENAME] [-i IP] [-p PORT] [-s PATH] [-t SECONDS] [-u USERNAME]

netdata -h netdata -v|-V

DESCRIPTION
netdata is distributed, real-time, performance and health monitoring for systems and applications. It provides insights of everything happening on the systems it runs using interactive web dashboards.

It can run autonomously without any third party components or it can be integrated to existing monitoring tool chains (Prometheus, Graphite, OpenTSDB, Kafka, Grafana, etc).

OPTIONS
The netdata daemon is usually started by an initscript or a systemd service, the following options are available:

-c FILENAME
    Configuration file to load.
    Default: /etc/netdata/netdata.conf.

-D  Do not fork. Run in the foreground.
    Default: run in the background

-d  Fork. Run in the background.
    Default: run in the background

-h  Display this help message.

-P FILENAME
    File to save a pid while running.
    Default: do not save pid to a file

-i IP
    The IP address to listen to.
    Default: all IP addresses IPv4 and IPv6

-p PORT
    API/Web port to use.
    Default: 19999

-s PATH
    Prefix for /proc and /sys (for containers).
    Default: no prefix

-t SECONDS
    The internal clock of netdata.
    Default: 1

-u USERNAME
    Run as user.
    Default: netdata

-v, -V
    Print netdata version and exit.

-W OPTIONS
    See Advanced options below.

  ADVANCED OPTIONS

-W stacksize=N
    Set the stacksize (in bytes).

-W debug_flags=N
    Set runtime tracing to debug.log.

-W unittest
    Run internal unittests and exit.

-W set SECTION OPTION VALUE
    set netdata.conf option from the command line.

-W simple-pattern PATTERN STRING
    Check if string matches pattern and exit.

SIGNALS

HUP Close and reopen log files.

USR1
    Save internal DB to disk.

USR2
    Reload health configuration.

FILES

/etc/netdata
    Configuration file.

/usr/share/doc/netdata
    Upstream documentation.

HOMEPAGE
More information about netdata can be found on the homepage at <https://my-netdata.io> and in the manual at <https://docs.netdata.cloud>.

AUTHOR
netdata was written by Costa Tsaousis <costa@tsaousis.gr>.

This manual page was written by Federico Ceratto <federico@debian.org> for the Debian project and may be used by others.